summary refs log tree commit diff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/def2
-rwxr-xr-xhome/.local/bin/nasd12
2 files changed, 7 insertions, 7 deletions
diff --git a/home/.local/bin/def b/home/.local/bin/def
index ea8b9536..6a1681d3 100755
--- a/home/.local/bin/def
+++ b/home/.local/bin/def
@@ -42,6 +42,6 @@ for header in $headers; do
 		| tail -n 1
 	)
 	[ $? -ne 0 -o "$defined" = "$macro" ] && continue
-	echo "#include <$header>"
+	echo "#include <${header}>"
 	echo "$defined"
 done
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
index 203fdd2d..d64b2c3a 100755
--- a/home/.local/bin/nasd
+++ b/home/.local/bin/nasd
@@ -1,9 +1,9 @@
 #!/bin/sh
-set -e -u
+set -eu
 
 dir=$(mktemp -d)
-echo 'bits 64' > $dir/input
-cat >> $dir/input
-nasm -o $dir/output $dir/input || true
-ndisasm -b 64 $dir/output || true
-rm -r $dir
+echo 'bits 64' > "${dir}/input"
+cat >> "${dir}/input"
+nasm -o "${dir}/output" "${dir}/input" || true
+ndisasm -b 64 "${dir}/output" || true
+rm -r "$dir"
Enroe 2019-11-09Remove extended-join and invite-notifyJune McEnroe 2019-11-09Maintain stateCaps and offer them to clientsJune McEnroe 2019-11-09Parse capabilitiesJune McEnroe 2019-11-09Avoid the reserved _A names with BIT macroJune McEnroe 2019-11-09Define macro for bit flag enumsJune McEnroe 2019-11-08Check that password is hashedJune McEnroe 2019-11-08Avoid calling getopt_long again after it returns -1June McEnroe 2019-11-08Only change AWAY status for registered clientsJune McEnroe 2019-11-07Just write the example normallyJune McEnroe 2019-11-07Include path in readlinkat errorJune McEnroe 2019-11-07Call clientConsume before clientRecvJune McEnroe 2019-11-06Use -l:filename in Linux.mkJune McEnroe 2019-11-06Fix compat.h for #defined strlcpyJune McEnroe 2019-11-06Allow unsetting LIBRESSL_PREFIXJune McEnroe 2019-11-06Document calico service configurationJune McEnroe 2019-11-06Document SASL EXTERNAL configuration in more detailJune McEnroe 2019-11-06Document pounce service configurationJune McEnroe 2019-11-06Mention Darwin and GNU/Linux in READMEJune McEnroe 2019-11-06Assume LibreSSL from brew on DarwinJune McEnroe 2019-11-06Remove -DNO_EXPLICIT_BZERO from Darwin.mkJune McEnroe 2019-11-06Don't install rc scripts or dirs on LinuxJune McEnroe